Select Moodle version:

Blocks: Facility To Moodle 2

block_facility_to_moodle
**NO LONGER BEING MAINTAINED** Supports Moodle 2.3 thru to 2.6. Fork of Guy Thomas' original Facility-to-Moodle block for 1.7-1.9
Maintained by: Picture of Marc Coyles Marc Coyles

Please be aware that this plugin is no longer being maintained (unless someone from the community would like to take it on board). No future versions beyond the Moodle 2.6 version will be released by the current maintainer.

This tool provides a level of integration with Serco's proprietary MIS Facility CMIS / ePortal. It is a fork of the original Facility-2-Moodle plugin by Guy Thomas / Citricity, adding Moodle 2.1-2.6 support and moving configuration into the GUI.

Two versions are available. 1x for Moodle 2.1 & 2.2, and 1x for Moodle 2.3 > 2.5 - use the version dropdown across the top.

Documentation is Here

LDAPCapture is Here (and works fine on 2.5, despite not saying so)

The current features are:

1) Bulk creation of student accounts with LDAP integration as default.
2) Transfer of teaching groups into courses.
3) Bulk creation of parent accounts linked to students so that parents can login and see what their children have been up to (requires MIS 2 Block)
4) Cron jobs for transferring student / parent accounts (+ purging leaver accounts) and synchronising groups

Integrates with Parental Portal Block to provide:

1) Parents live view of Facility CMIS data - attendance, exam data, etc. (This has been moved to a new project, alpha versions available on request)

Screenshots

screenshot

Contributors

Picture of Marc Coyles
Marc Coyles (Lead maintainer)
Please login to view contributors details and/or to contact them

Comments RSS

Show comments
  • Picture of Will Pandle
    Tue, Jun 19, 2012, 5:43 PM
    is it possible to use this if you dont have control over Active Directory you can just read not do any changes ?
  • Picture of Marc Coyles
    Tue, Jul 3, 2012, 3:51 PM
    Yep... as long as you have an AD account which is able to read all the BDNs that your users reside in.
  • MD shot of me from his iphone4
    Mon, Aug 20, 2012, 11:35 AM
    Hi,
    I've noted that this plugin uses yui2 libraries.
    Do note that moodle version 2.4 (in development) has moved from using yui2 to yui2in3 as described by MDL-34741.
    Here is a link to using yui2in3 : http://yuilibrary.com/yui/docs/yui/yui-yui2.html
  • Picture of Paul Smee
    Fri, Oct 5, 2012, 11:38 PM
    Having a bit of a problem with my install on 2.3, get error-
    Coding error detected, it must be fixed by a programmer: Invalid table name {block_facility_to_moodle_group_linker}: name is too long. Limit is 28 chars.

    Having a 'google' around but not much info out there on the error any help??
  • Picture of Paul Smee
    Fri, Oct 5, 2012, 11:53 PM
    If you having same issue, (I think it's a 2.3 thing) -here is a workaround:
    http://moodle.org/mod/forum/discuss.php?d=116512#p908383
  • Picture of Marc Coyles
    Sat, Oct 6, 2012, 2:03 AM
    2.3 has a restriction in the length of table and field names, requiring a rewrite of all blocks... 2.2 won't work unless you manually change table name and update code to reflect same changes, keeping all table and files names below 28 characters. It's on my list of stuff-to-do...
  • Picture of Marc Coyles
    Sat, Oct 6, 2012, 2:05 AM
    Sorry, above should say "... 2.2 /version of block/ won't work..."
  • Picture of Paul Smee
    Thu, Oct 11, 2012, 9:16 PM
    Not to totally hi-jack this comment area but I'm having wee bit of a problem with this block, any help appreciated-https://moodle.org/mod/forum/discuss.php?d=213590
  • Picture of Paul Smee
    Tue, Oct 23, 2012, 8:40 PM
    Sorry to still be chatting about this working with 2.3 but I'm so close to goal.... When I 'sync' the student accounts it work brilliantly with the ID in thedescription feild but I can't use that as the config. I'm trying bodge the "lib_students_match.php" to use the sAMacountLogin as the identifier...... but alas my php/sql is too limited to feckle it, any help??
  • Picture of Oliver Cooper
    Tue, Dec 18, 2012, 4:41 AM
    bit stuck making this work :/ any help would be greatly appreciated https://moodle.org/mod/forum/discuss.php?d=218230
  • Picture of Oliver Cooper
    Mon, Apr 29, 2013, 2:06 AM
    Any idea of when 2.4 compatibility is going to happen? YUI2 needs changing to 2in3. I'd do it myself but not experienced enough... itching to go 2.4 and this is the one thing holding us back sad
  • Picture of Marc Coyles
    Wed, May 8, 2013, 10:57 PM
    Bear with - will hopefully upload a 2.4.3 compatible version this week, wrapped with YUI2in3
  • Picture of Marc Coyles
    Thu, May 9, 2013, 5:09 PM
    Release 2.4 (Build:2013050908) for Moodle 2.3 & 2.4 now added... select Moodle 2.4 from version dropdown to access it.
  • Picture of Oliver Cooper
    Mon, Jul 15, 2013, 8:23 PM
    Having a bit of an issue at the moment.. some staff users are unable to add groups. Just gives them a "you do not have access to this area" error. Have isolated a user that works and a user that doesn't work and can't find any difference between the two accounts! sad
  • Picture of Marc Coyles
    Mon, Jul 15, 2013, 9:37 PM
    Have replied by PM...
1 2
Please login to post comments